import theater.*;


/**
 * Performance-class
 *
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 1.0 (17.12.2008)
 *
 */
public class MyPerformance extends Performance {
    private boolean firstStart;

    public MyPerformance() {
        firstStart = true;
    }

    public void started() {
        if (firstStart) {
            setSpeed(15);
            firstStart = false;
        }

        if (TetrisWorld.getWorld().isEnded()) {
            TetrisWorld.getWorld().clear();
            TetrisWorld.getWorld().init();
        }
    }
}
